<?php
// Database configuration
define('DB_HOST', 'localhost');
define('DB_USER', 'root');
define('DB_PASS', '');
define('DB_NAME', 'telegram_earn_bot');

// Monetag configuration
define('MONETAG_PUBLISHER_ID', 'YOUR_MONETAG_PUBLISHER_ID');
define('MONETAG_AD_URL', 'https://view.monetag.com/?publisherId='.MONETAG_PUBLISHER_ID);

// Telegram configuration
define('TELEGRAM_BOT_TOKEN', 'YOUR_TELEGRAM_BOT_TOKEN');
define('TELEGRAM_API_URL', 'https://api.telegram.org/bot'.TELEGRAM_BOT_TOKEN.'/');

// Earning rates
define('TASK_REWARD', 0.10);
define('REFERRAL_REWARD', 0.50);
define('AD_REWARD', 0.32);

// Create database connection
try {
    $pdo = new PDO("mysql:host=".DB_HOST.";dbname=".DB_NAME, DB_USER, DB_PASS);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e) {
    die("Database connection failed: " . $e->getMessage());
}

// Start session
session_start();

// Common functions
function generateReferralCode() {
    return substr(md5(uniqid(rand(), true)), 0, 8);
}

function formatCurrency($amount) {
    return 'BDT ' . number_format($amount, 2);
}

function redirect($url) {
    header("Location: $url");
    exit();
}
?>